
-- Operador IN: Nos ayuda a filtrar por conjunto de valores
USE bd_peliculas;
SELECT * FROM director
WHERE id IN (4,7,10);

-- Operador NOT IN: Es la negación del operador IN, no ayuda a excluir resultados a traves de conjunto de valores.
USE bd_peliculas;
SELECT * FROM director
WHERE id NOT IN (4,7,10);

-- Operador BETWEEN: Perfecto para filtros por rango de valores
USE bd_peliculas;
SELECT * FROM director
WHERE id BETWEEN 4 AND 10;

-- Operador NOT BETWEEN: Es la negación del BETWEEN, utilizado para excluir de los resultados un rango de valores.
USE bd_peliculas;
SELECT * FROM director
WHERE id NOT BETWEEN 4 AND 10;

-- Operador LIKE: busqueda por patrones en cadenas de caracteres-
-- En este ejemplo buscamos registros que comiencen con un patrón especifico
USE bd_peliculas;
SELECT * FROM director
WHERE nombre LIKE 'G%';

-- Operador LIKE: busqueda por patrones en cadenas de caracteres-
-- En este ejemplo buscamos registros que terminen con un patrón especifico
USE bd_peliculas;
SELECT * FROM director
WHERE nombre LIKE '%e';

-- Operador LIKE: busqueda por patrones en cadenas de caracteres-
-- En este ejemplo buscamos registros que contengan un patrón especifico en cualquier parte de un campo
USE bd_peliculas;
SELECT * FROM director
WHERE nombre LIKE '%s%';

-- Operador LIKE: busqueda por patrones en cadenas de caracteres-
-- los patrones de busqueda pueden estar compuestos por varias letras o caracteres.
USE bd_peliculas;
SELECT * FROM director
WHERE nombre LIKE '%ss%';

-- Operador LIKE: busqueda por patrones en cadenas de caracteres-
-- En este caso utilizamos guion bajo como comodin, sirve para especificar cantidad especifica de caracteres.
USE bd_peliculas;
SELECT * FROM director
WHERE nombre LIKE '___';